/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common;

import java.io.Serializable;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java.util.function.Function;

import jakarta.enterprise.context.SessionScoped;
import jakarta.inject.Named;

@Named
@SessionScoped
public class ConfigurationCacheBean
	implements Serializable
{
	private ConcurrentMap<String, Object> cache = new ConcurrentHashMap<>();

	public Object computeIfAbsent( String key, Function<? super String, ? extends Object> mappingFunction )
	{
		return cache.computeIfAbsent( key, mappingFunction );
	}
}
