/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common.utils;

import java.io.Serializable;

import jakarta.enterprise.context.SessionScoped;
import jakarta.faces.component.UIComponent;
import jakarta.faces.context.FacesContext;
import jakarta.faces.convert.Converter;
import jakarta.inject.Named;

import ru.bitel.common.Utils;

@Named
@SessionScoped
//@FacesConverter(value = "durationConverter")
public class DurationConverter
	implements Converter, Serializable
{
	private static final long serialVersionUID = 3027910258140139208L;

	@Override
	public Object getAsObject( FacesContext context, UIComponent component,
							   String value )
	{
		if( value == null )
		{
			return null;
		}

		//		CountryController controller = context.getApplication()
		//											  .evaluateExpressionGet( context, "#{countryController}",
		//																	  CountryController.class );
		//		Country country = controller.findCountryByName( value );

		return null;
	}

	@Override
	public String getAsString( FacesContext context, UIComponent component,
							   Object value )
	{
		String result = null;

		if( value instanceof Number )
		{
			result = Utils.formatSessionTime( ((Number)value).intValue() );
		}

		return result;
	}
}
