/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common.utils;

import java.io.Serializable;

import jakarta.enterprise.context.SessionScoped;
import jakarta.faces.component.UIComponent;
import jakarta.faces.context.FacesContext;
import jakarta.faces.convert.Converter;
import jakarta.inject.Named;

@Named
@SessionScoped
//@FacesConverter(value = "ipAddressConverter")
public class StringConverter
    implements Converter, Serializable
{
    private static final long serialVersionUID = -70016406934744028L;

    @Override
    public Object getAsObject( FacesContext context, UIComponent component, String value )
    {
        return value;
    }

    @Override
    public String getAsString( FacesContext context, UIComponent component, Object value )
    {
        return value == null ? null : String.valueOf( value );
    }
}
