/*
 * Copyright (c) 2016 BiTel Inc. All rights reserved.
*/
package ru.bitel.mybgbilling.kernel.common;

import java.io.Serializable;

import jakarta.annotation.PostConstruct;
import jakarta.enterprise.context.RequestScoped;
import jakarta.faces.context.FacesContext;
import jakarta.inject.Named;
import jakarta.servlet.http.HttpServletRequest;

@Named
@RequestScoped
public class AuthBean
	implements Serializable
{
	private boolean customer;
	private boolean unauthCustomer;

	private HttpServletRequest request;

	@PostConstruct
	private void init()
	{
		final FacesContext context = FacesContext.getCurrentInstance();
		request = (HttpServletRequest)context.getExternalContext().getRequest();

		customer = request.getSession().getAttribute( "mybgbilling.contract" ) != null;
		unauthCustomer = request.getSession().getAttribute( "mybgbilling.contract" ) == null;
	}

	public boolean isCustomer()
	{
		return customer;
	}

	public boolean isUnauthCustomer()
	{
		return unauthCustomer;
	}

//	public boolean isUserInRole( String role )
//	{
//		return request.isUserInRole( role );
//	}
}
